package com.qxgmat.dto.admin.response;

import com.nuliji.tools.annotation.Dto;
import com.qxgmat.data.dao.entity.User;
import com.qxgmat.dto.admin.extend.UserClassExtendDto;
import com.qxgmat.dto.admin.extend.UserServiceExtendDto;

import java.math.BigDecimal;
import java.util.Collection;
import java.util.Date;

@Dto(entity = User.class)
public class UserListDto {

    private Integer id;

    private String mobile;

    private Date createTime;

    private Integer realStatus;

    private Integer prepareStatus;

    private Integer inviteNumber;

    private BigDecimal totalMoney;

    private Collection<UserServiceExtendDto> services;

    private Collection<UserClassExtendDto> classes;

    public Integer getId() {
        return id;
    }

    public void setId(Integer id) {
        this.id = id;
    }

    public String getMobile() {
        return mobile;
    }

    public void setMobile(String mobile) {
        this.mobile = mobile;
    }

    public Date getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    public Integer getRealStatus() {
        return realStatus;
    }

    public void setRealStatus(Integer realStatus) {
        this.realStatus = realStatus;
    }

    public BigDecimal getTotalMoney() {
        return totalMoney;
    }

    public void setTotalMoney(BigDecimal totalMoney) {
        this.totalMoney = totalMoney;
    }

    public Collection<UserServiceExtendDto> getServices() {
        return services;
    }

    public void setServices(Collection<UserServiceExtendDto> services) {
        this.services = services;
    }

    public Collection<UserClassExtendDto> getClasses() {
        return classes;
    }

    public void setClasses(Collection<UserClassExtendDto> classes) {
        this.classes = classes;
    }

    public Integer getInviteNumber() {
        return inviteNumber;
    }

    public void setInviteNumber(Integer inviteNumber) {
        this.inviteNumber = inviteNumber;
    }

    public Integer getPrepareStatus() {
        return prepareStatus;
    }

    public void setPrepareStatus(Integer prepareStatus) {
        this.prepareStatus = prepareStatus;
    }
}
